﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Calculations;

namespace CalcManagerInCodeBehind
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        XamCalculationManager manager = new XamCalculationManager();
        public MainWindow()
        {
            InitializeComponent();

            XamCalculationManager.SetCalculationManager(textBox1, manager);
            XamCalculationManager.SetControlSettings(textBox1,
                new ControlCalculationSettings
                {
                    Property = "Text",
                    TreatAsType = typeof(double),
                    ReferenceId = "item1"
                });
            XamCalculationManager.SetCalculationManager(textBox2, manager);
            XamCalculationManager.SetControlSettings(textBox2,
                new ControlCalculationSettings
                {
                    Property = "Text",
                    TreatAsType = typeof(double),
                    ReferenceId = "item2"
                });
            XamCalculationManager.SetCalculationManager(textBox3, manager);
            XamCalculationManager.SetControlSettings(textBox3,
                new ControlCalculationSettings
                {
                    Property = "Text",
                    TreatAsType = typeof(double),
                    ReferenceId = "item3",
                    Formula = "[item1] + [item2]"
                });
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Random r = new Random();

            textBox1.Text = r.Next(1000).ToString();
            textBox2.Text = r.Next(1000).ToString();
        }
    }
}
